### Function

# Gtk Editable install_properties

#### Declaration [src]

    guint
    gtk_editable_install_properties (
      GObjectClass* object_class,
      guint first_prop
    )

#### Description [src]

Installs the `GtkEditable` properties for `class`.

This is a helper function that should be called in class_init, after installing your own properties.

To handle the properties in your set_property and get_property functions, you can either use gtk_editable_delegate_set_property() and gtk_editable_delegate_get_property() (if you are using a delegate), or remember the `first_prop` offset and add it to the values in the `GtkEditableProperties` enumeration to get the property IDs for these properties.

#### Parameters

`object_class` | `GObjectClass*`
| A `GObjectClass`.
| The data is owned by the caller of the function.
`first_prop` | `guint`
| Property ID to use for the first property.

#### Return value

Returns: | `guint`
| The number of properties that were installed.